/* ==========================================================================
 FORM elements GUI
========================================================================== */

form {
  margin: 0 0 20px;
}

fieldset {
  display: block;
  width: 100%;
  padding: 0;
  margin: 0 0 20px;
  border: 0;
}
.fieldset{
	margin-bottom:20px;
}

legend {
  display: block;
  width: 100%;
  padding: 0;
  margin-bottom: 20px;
  font-size: 21px;
  line-height: 40px;
  color: #333333;
  border: 0;
  border-bottom: 1px solid #ccc;
}

legend small {
  font-size: 15px;
  color: #999999;
}

label,
input,
button,
select,
textarea {
	font-weight: normal;
	line-height: normal;
}

input,
button,
select,
textarea {
	font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

label {
	display: block;
	margin-bottom: 5px;
}

select,
textarea,
input[type="text"],
input[type="password"],
input[type="datetime"],
input[type="datetime-local"],
input[type="date"],
input[type="month"],
input[type="time"],
input[type="week"],
input[type="number"],
input[type="email"],
input[type="url"],
input[type="search"],
input[type="tel"],
input[type="color"] {
	display: inline-block;
	padding: 8px 7px;
	margin-bottom: 14px;
	font-size: 14px;
	/*height:35px;*/
	color: #555555;
	vertical-align: middle;
	border-radius: 3px;
	background-color: #fafafa;
	border: 1px solid #cccccc;
	box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
	vertical-align: middle;
}
input[disabled]{
background-color: #DFDFDF;
cursor: not-allowed;
}

input,
textarea {
  max-width:100%;

}

textarea {
  display:block;
  line-height: 1.5;
  min-height:80px;
  height: auto;
}

textarea:focus,
input[type="text"]:focus,
input[type="password"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="time"]:focus,
input[type="week"]:focus,
input[type="number"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
input[type="color"]:focus{
  background-color: #ffffff;
  border-color: #B1B1B1;
  outline: 0;
  box-shadow: inset 0 1px 5px rgba(0, 0, 0, 0.3);
}

input[type="radio"],
input[type="checkbox"] {
  margin: 4px 0 0;
  line-height: normal;
}

input[type="file"],
input[type="image"],
input[type="submit"],
input[type="reset"],
input[type="button"],
input[type="radio"],
input[type="checkbox"] {
  width: auto;
}

select,
input[type="file"] {
  height: 34px;
  line-height: 1;
}

select {
  background-color: #fafafa;
  border: 1px solid #cccccc;
	max-width: 100%;
}

select[multiple],
select[size] {
  height: auto;
}

select:focus,
input[type="file"]:focus,
input[type="radio"]:focus,
input[type="checkbox"]:focus {
  outline: thin dotted #333;
  outline: 5px auto;
  outline-offset: -2px;
}

input:-moz-placeholder,
textarea:-moz-placeholder,
input:-ms-input-placeholder,
textarea:-ms-input-placeholder,
input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder {
  color: #999999;
}

.radio,
.checkbox {
  min-height: 20px;
  padding-left: 20px;
	cursor: pointer;
}

.radio:last-child, .checkbox:last-child {
	margin-bottom: 0;
}
/**/
.radio.horiz{float:left;}
.radio.horiz ~ .radio.horiz{ margin-left:20px;}

.radio input[type="radio"],
.checkbox input[type="checkbox"] {
  float: left;
  margin-left: -20px;
}

/* Help text */

.help-block {
  color: #595959;
  font-size: 13px;
  line-height: 1;
  display: block;
  margin-bottom: 10px;
}

fieldset dd{min-height: 30px;}

label.float {
	float: left;
	display: block;
	margin: 0 0 10px 0;
	padding: 0 10px 0 0;
	line-height: 34px;
}
label.line {
	float: left;
	clear: left;
	width: 15%;
	display: block;
	margin: 0 0 10px 0;
	padding: 0 10px 0 0;
	line-height: 34px;
}
label.line span {
	float: right;
	display: block;
	line-height: 34px;
}
input.line {
	float: left;
	width: 85%;
	display: block;
	margin: 0 0 10px 0;
}

/* ==========================================================================
  GUI Buttons
========================================================================== */
.btn, input.btn {
	display: inline-block;
	position: relative;
	text-decoration: none;
	text-align: center;
	cursor: pointer;
	font-size: 14px;
	line-height: 1;
	padding: 8px 12px;
	border: 1px solid;
	border-bottom-width: 2px;
	border-radius: 3px;
	box-shadow: inset 0 1px 0 0 rgba(255, 255, 255, 0.35);
	background-color: #E3E3E3;
	border-color: #C4C4C4;
	vertical-align: middle;
	margin: 0 0 10px;
	min-height: 34px;
}

.btn:hover, input.btn:hover {
	text-decoration: none;
	background-color: #EDEDED;
	border-color: #BEBEBE;
}

.btn:active, input.btn:active {
	background-color: #CCC;
	border-color: #A8A8A8;
	box-shadow: inset 0 1px 6px 0 rgba(0, 0, 0, 0.35);
}

.btn-blue, input.btn-blue {
  color: #fff;
  background-color: #1E77AE;
  border-color: #1A6699;
}

.btn-blue:hover,
input.btn-blue:hover {
  color: #fff;
  background-color: #2595DA;
  border-color: #2183C4;
}

.btn-blue:active, input.btn-blue:active {
  background-color: #1A6899;
  border-color: #12496D;
}

.btn-green,
input.btn-green {
  color: #fff;
  background-color: #27ae60;
  border-color: #229955;
}

.btn-green:hover,
input.btn-green:hover {
  color: #fff;
  background-color: #2BBF69;
  border-color: #25A75D;
}

.btn-green:active,
input.btn-green:active {
  background-color: #1E8549;
  border-color: #19713F;
}

.btn-orange,
input.btn-orange {
  color: #fff;
  background-color: darkorange;
  border-color: #db7900;
}

.btn-orange:hover,
input.btn-orange:hover {
  color: #fff;
  background-color: #ff9c24;
  border-color: darkorange;
}

.btn-orange:active,
input.btn-orange:active {
  background-color: #db7900;
  border-color: #b86500;
}

.btn-red,
input.btn-red {
  color: #fff;
  background-color: #E53C2A;
  border-color: #C32918;
}

.btn-red:hover,
input.btn-red:hover {
  color: #fff;
  background-color: #E95949;
  border-color: #E3301C;
}

.btn-red:active,
input.btn-red:active {
  color: #fff;
  background-color: #D52D1A;
  border-color: #A82315;
}

.btn.disabled, .btn[disabled],
.btn.disabled:active, .btn[disabled]:active {
  color: #E6E6E6;
  background-color: #9E9E9E;
  border-color: #858585;
  cursor: not-allowed;
  border-bottom-width: 2px;
  top: 0;
  box-shadow: inset 0 1px 0 0 rgba(255, 255, 255, 0.2);
}

/*toolbar e button groups*/
.toolbar {
  background: #e6e6e6;
	font-size:14px;
  border: 1px solid #cccccc;
  padding: 10px 15px 0;
  margin: 0 0 10px;
  border-bottom-width: 2px;
  box-shadow: inset 0 1px 0 0 rgba(255, 255, 255, 0.5);
}
.toolbar label {
	display:inline-block;
	padding: 0 0 0 5px;
	vertical-align: top;
	line-height: 34px;
	font-size: 13px;
}
.toolbar select, .toolbar input, .toolbar button{
	margin-bottom: 10px;
	margin-left: 4px;
}
.btn-group {
  position: relative;
  display: inline;
	font-size: 0.9px;
}

.btn-group .btn:first-child {
  border-radius: 3px 0 0 3px;
}

.btn-group .btn + .btn {
  border-radius: 0px;
  margin-left: -5px;
}

.btn-group .btn:last-child {
  border-radius: 0 3px 3px 0;
}

.btns, .back-btn {
	position: absolute;
	display: inline-block;
	top: 50%;
	margin-top: -17px;
	margin-bottom: 0;
}

.btns {
	right: 15px;
}

.panel-list .btn,
.btns .btn {
	font-size: 20px;
	padding: 5px 9px;
	margin-bottom: 0;
}
.panel-list .font-normal,
.btns .font-normal {
	font-size: 14px;
	padding: 8px 12px;
}

/* ==========================================================================
  Search box
========================================================================== */

.search-box{
	position:relative;
  display: inline-block;
  margin: 0 0 10px;
  white-space: nowrap;
  vertical-align: middle;
  letter-spacing: -0.31em;
  max-width: 100%;
}

.search-box * {letter-spacing: normal;}
.search-box label,
.search-box input{
	margin-bottom:0;
}

.search-box input[type="text"]{
	padding: 9px 45px 7px 10px;
	border-radius: 3px 0 0 3px;
}

.toolbar .search-box input[type="text"] {width:190px;}
.search-box .btn{
	margin: 0 0 0 -40px;
	border-radius: 0 3px 3px 0;
	font-size: 18px;
	padding: 2px 10px;
	line-height: 1.3;
	border-width: 1px;
}

.search-box a.reset_btn{
	position:absolute;
	display:none;
	height:100%;
	line-height:37px;
	top:0;
	right: 46px;
	color: #b0b0b0;
	cursor:pointer;
}

/* Form Elements dimensions*/

input.wide, select.wide, textarea.wide{
	width:100%;
}
input.large, select.large, textarea.large{
	width:250px;
	max-width: 100%;
}
input.x-small, select.x-small, textarea.x-small{
	width:36px;
}
/* jquery max-lenght plugin*/

textarea.ml-notification{
	border-color:#E53C2A;
}
.ml-status {
	text-align: right;
	font-size: 14px;
	font-weight: bold;
	padding: 1px 10px;
	background: #D9D9D9;
	position: relative;
	border-radius:2px;
	margin-bottom: 14px;
}
.ml-status:before{
	content:'';
	position: absolute;
	top: -8px;
	right: 20px;
	border-bottom: 8px solid #D9D9D9;
	border-left: 7px solid transparent;
	border-right: 7px solid transparent;
	
}
.ml-notification + .ml-status{
	color:#E53C2A;
}

/* ==========================================================================
  Login Page Form
========================================================================== */

.login-page{
	width:100%;
	height:100%;
  position:relative;
  /*background: url(prova.jpg);
  background-size: cover;*/
}

.login{
  width: 300px;
  height: 350px;
  position:fixed;
  top:50%;
  left:50%;
  margin-left:-150px;
  margin-top:-175px;
}

.login form{
  margin:0;
}

.login .btn{
margin: 0px auto;
text-align: center;
}

.login input{
  width:100%;
}

.login .btn{
  width: 50%;
}

.login-panel {
  overflow: hidden;
  padding: 15px 20px;
  background: #fff;
  border: 1px solid #ddd;
  border-bottom-width: 2px;
  margin: 0 0 20px;
}

.login-paneltitle {
  color: #476380;
  font-size: 1.5em;
  font-weight: 400;
  padding: 20px 20px;
  background: #F8F8F8;
  margin: -15px -20px 20px;
  border-bottom: 2px solid #ddd;
}
